Media
Generate meme template and caption suggestions
POST
/memes/suggestionsAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/memes/suggestions" \ -H "Content-Type: application/json" \ -d '{ "idea": "string", "workspace_id": "string" }'{ "$schema": "https://example.com/api/v1/schemas/GenerateMemeSuggestionsOutputBody.json", "candidates": [ { "alt_text": "string", "caption_lines": [ "string" ], "rationale": "string", "template": { "animated": true, "blank_url": "string", "example": { "text": [ "string" ], "url": "string" }, "id": "string", "keywords": [ "string" ], "lines": 0, "name": "string", "overlays": 0, "search_terms": [ "string" ], "semantic": { "caption_roles": [ "string" ], "meaning": "string", "mechanism": "string", "tags": [ "string" ], "visual": "string" }, "source_url": "string", "styles": [ "string" ] }, "template_id": "string" } ], "catalog_revision": "string", "model": "string"}